### Enumeration

# WebKit2 FaviconDatabaseError

#### Declaration

    error-domain WebKit2.FaviconDatabaseError

#### Description [src]

Enum values used to denote the various errors related to the `WebKitFaviconDatabase`.

#### Members

`WEBKIT_FAVICON_DATABASE_ERROR_NOT_INITIALIZED`

  The `WebKitFaviconDatabase` is closed.

  - Value: `0`
  - Available since: 4.1
`WEBKIT_FAVICON_DATABASE_ERROR_FAVICON_NOT_FOUND`

  There is not an icon available for the requested URL.

  - Value: `1`
  - Available since: 4.1
`WEBKIT_FAVICON_DATABASE_ERROR_FAVICON_UNKNOWN`

  There might be an icon for the requested URL, but its data is unknown at the moment.

  - Value: `2`
  - Available since: 4.1

#### Type functions

###### webkit_favicon_database_error_quark

Gets the quark for the domain of favicon database errors.